from rest_framework import serializers
from .models import Person, PersonPrivateInfo, PersonAddress, PersonCultural, PersonEDU, PersonOtherInfo

class PersonSerializer(serializers.ModelSerializer):
    class Meta:
        model = Person
        fields = '__all__'


class PersonPrivateInfoSerializer(serializers.ModelSerializer):
    class Meta:
        model = PersonPrivateInfo
        fields = '__all__'


class PersonAddressSerializer(serializers.ModelSerializer):
    class Meta:
        model = PersonAddress
        fields = '__all__'


class PersonCulturalSerializer(serializers.ModelSerializer):
    class Meta:
        model = PersonCultural
        fields = '__all__'


class PersonEDUSerializer(serializers.ModelSerializer):
    class Meta:
        model = PersonEDU
        fields = '__all__'


class PersonOtherInfoSerializer(serializers.ModelSerializer):
    class Meta:
        model = PersonOtherInfo
        fields = '__all__'
